/* 
 * component.css
 * コンポーネントスタイル
 *
 * ⚫︎規則
 * 　margin等コンポーネント外部のレイアウトに影響するスタイル禁止
 */

/**************************************
 * ボタン
**************************************/

/* コンポーネント例... */
.c-button {
  position: relative;
  display: block;
  transition:
    opacity 0.3s,
    transform 0.3s;
}

.c-button:hover {
  opacity: 0.5;
}

.c-button:active {
  transform: scale(0.95);
}

.c-button:disabled {
  filter: grayscale(1);
}

.c-button-icon {
  position: absolute;
  display: block;
  top: 50%;
  right: 5%;
  transform: translateY(-50%);
}

/**************************************
 * コンテンツボックス（汎用）
**************************************/
.content-box {
  background-color: #fff;
  border-radius: 16px;
}

.content-box-title {
  background-color: var(--main-color);
  font-size: clamp(18px, 4.8vw, 24px);
  font-weight: 500;
  color: #fff;
  text-align: center;
  padding: clamp(12px, 3.2vw, 16px);
  border-radius: 16px 16px 0 0;
}

.content-box-body {
  font-size: clamp(12px, 3.2vw, 14px);
  color: #666;
  line-height: 1.6;
  padding: clamp(16px, 4.2vw, 21px) clamp(20px, 5.33vw, 24px);
}
